/v1/workspaces/{workspace_id}/categoriesAuthList categories
By `ordinal`, then oldest first.
Path parameters
workspace_id*string · uuidId of the workspace.
Query parameters
cursorstringOpaque cursor: the `next_cursor` of the previous page.
limitintegerPage size.
Response · 200 A page of categories.
data*arrayCategories by `ordinal`, then oldest first.
pagination*objectThe cursor for the next page.
Example
Request
GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/categories
Authorization: Bearer YOUR_TOKENimport { Notify } from "@productcraft/notify";
// Reads PRODUCTCRAFT_API_KEY and PRODUCTCRAFT_WORKSPACE_ID from the environment;
// client routes take a recipient token: notify.client({ token })
const notify = new Notify();
for await (const category of notify.categories.list()) {
console.log(category);
}
const page = await notify.categories.list({}, { timeout: 5_000 });notify.categories.list(params?, options?): PagePromise<Notify.Category>
Response
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"key": "security",
"name": "string",
"description": "string",
"defaults": {},
"ordinal": 0,
"android_channel_id": "string",
"transactional": false,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"pagination": {}
}